<script>
import axios from "../axios/index.js";
import QuestionComponent from "./QuestionComponent.vue";

export default {
    components: { QuestionComponent },
    name: "Faq",
    data() {
        return {
            activeIndex: null,
            // questions: [],
            leftQuestions:  [],
            rightQuestions: [],
            half:  0
        }
    },
    created() {
        this.loading = true;
        this.getQuestions();
    },
    methods: {
        getQuestions() {
            axios.get('/api/questions/get').then(({data}) => {
                this.questions = data;
                this.half = Math.ceil(this.questions.length / 2);

                this.leftQuestions  = data.slice(0, this.half);
                this.rightQuestions = data.slice(this.half);

                this.activeIndex = this.questions.length - 1;
                this.loading = false
            })
        },
    }
}
</script>

<template>
    <main class="main__faq">
        <section class="faq">
            <div class="faq__container">
                <div class="faq__title faq__title--desc">
                    Frequently asked questions
                </div>
                <div class="faq__title faq__title--mobile">
                    FAQ
                </div>
                <div class="accordion__list">
                    <div class="accordion" id="accordionExample">
                        <div class="accordion__left">
                            <template v-for="(item, index) in leftQuestions" :key="index">
                                <div class="accordion-item">
                                    <h2 class="accordion-header" :id="'heading' + index">
                                        <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                            :class="{ collapsed: (index) !== activeIndex }"
                                            :data-bs-target="'#collapse' + (index + 1)"
                                            :aria-expanded="index === activeIndex ? 'true' : 'false'"
                                            :aria-controls="'collapse' + index">
                                            {{ item.title }}
                                        </button>
                                    </h2>
                                    <div :id="'collapse' + (index + 1)" class="accordion-collapse collapse"
                                         :class="{ show: index === activeIndex }"
                                         :aria-labelledby="'heading' + index" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            {{ item.answer }}
                                        </div>
                                    </div>
                                </div>
                            </template>
                        </div>
                        <div class="accordion__right">
                            <template v-for="(item, index) in rightQuestions" :key="index">
                                <div class="accordion-item">
                                    <h2 class="accordion-header" :id="'heading' + (half + index)">
                                        <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                                :class="{ collapsed: (half + index) !== activeIndex }"
                                                :data-bs-target="'#collapse' + ((half + index) + 1)"
                                                :aria-expanded="(half + index) === activeIndex ? 'true' : 'false'"
                                                :aria-controls="'collapse' + (half + index)">
                                            {{ item.title }}
                                        </button>
                                    </h2>
                                    <div :id="'collapse' + ((half + index) + 1)" class="accordion-collapse collapse"
                                         :class="{ show: (half + index) === activeIndex }"
                                         :aria-labelledby="'heading' + (half + index)" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            {{ item.answer }}
                                        </div>
                                    </div>
                                </div>
                            </template>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="write">
            <div class="write__container">
                <div class="write__form">
                    <div class="write__title">
                        Any other questions?<br>
                        Write to us!
                    </div>
                    <QuestionComponent/>
                </div>
            </div>
        </section>
    </main>
</template>

<style scoped>

</style>
